(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import { Route } from 'react-router';

import { Pane } from '../pane';
import { templates } from '../routes';
import { getRightPaneTabComponent } from '../pane/reducer';

var RightPane = function RightPane(props) {
  return React.createElement(Route, { path: templates.toDataset, children: function children(_ref) {
      var match = _ref.match;

      var selectedDatasetId = match && match.params ? match.params.datasetId : null;

      var tab = React.createElement(getRightPaneTabComponent(props.activeTab), { selectedDatasetId: selectedDatasetId });

      return React.createElement(
        Pane,
        { type: 'right' },
        tab
      );
    } });
};

var _default = RightPane;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(RightPane, 'RightPane', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/RightPane.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/app/RightPane.js');
  leaveModule(module);
})();

;