(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import classnames from 'classnames';
import ReactTooltip from 'react-tooltip';

var ExpandButton = function ExpandButton(props) {
  return React.createElement(
    'span',
    {
      className: classnames(props.className, 'btn--icon', 'btn--icon--padded'),
      onClick: props.onClick
    },
    React.createElement('i', { 'data-tip': true, 'data-for': 'fa-expand', className: 'fa fa-expand', 'aria-hidden': 'true' }),
    !!props.tooltip && React.createElement(
      ReactTooltip,
      {
        id: 'fa-expand',
        place: 'top',
        type: 'info',
        effect: 'solid',
        multiline: true,
        delayShow: 1000
      },
      React.createElement(
        'span',
        null,
        props.tooltip
      )
    )
  );
};

var _default = ExpandButton;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(ExpandButton, 'ExpandButton', '/home/travis/build/bakdata/conquery/frontend/lib/js/button/ExpandButton.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/button/ExpandButton.js');
  leaveModule(module);
})();

;