var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';

import { SelectableLabel } from '../selectable-label';
import EditableTextForm from './EditableTextForm';

var EditableText = function (_React$Component) {
  _inherits(EditableText, _React$Component);

  function EditableText() {
    _classCallCheck(this, EditableText);

    return _possibleConstructorReturn(this, (EditableText.__proto__ || Object.getPrototypeOf(EditableText)).apply(this, arguments));
  }

  _createClass(EditableText, [{
    key: 'render',
    value: function render() {
      return this.props.editing ? React.createElement(EditableTextForm, {
        className: this.props.className,
        loading: this.props.loading,
        text: this.props.text,
        selectTextOnMount: this.props.selectTextOnMount,
        onSubmit: this.props.onSubmit,
        onCancel: this.props.onToggleEdit
      }) : React.createElement(
        'p',
        { className: this.props.className },
        React.createElement(
          'span',
          null,
          React.createElement(
            'span',
            {
              className: 'editable-text__edit-icon btn--icon edit-btn',
              onClick: this.props.onToggleEdit
            },
            React.createElement('i', { className: 'fa fa-edit' })
          ),
          React.createElement(SelectableLabel, { label: this.props.text })
        )
      );
    }
  }, {
    key: '__reactstandin__regenerateByEval',
    value: function __reactstandin__regenerateByEval(key, code) {
      this[key] = eval(code);
    }
  }]);

  return EditableText;
}(React.Component);

;

EditableText.propTypes = {
  className: PropTypes.string,
  loading: PropTypes.bool.isRequired,
  editing: PropTypes.bool.isRequired,
  text: PropTypes.string.isRequired,
  selectTextOnMount: PropTypes.bool.isRequired,
  onSubmit: PropTypes.func.isRequired,
  onToggleEdit: PropTypes.func.isRequired
};

var _default = EditableText;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(EditableText, 'EditableText', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/EditableText.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/EditableText.js');
  leaveModule(module);
})();

;