var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import T from 'i18n-react';
import classnames from 'classnames';
import clickOutside from 'react-onclickoutside';

var EditableTextForm = function (_React$Component) {
  _inherits(EditableTextForm, _React$Component);

  function EditableTextForm() {
    _classCallCheck(this, EditableTextForm);

    return _possibleConstructorReturn(this, (EditableTextForm.__proto__ || Object.getPrototypeOf(EditableTextForm)).apply(this, arguments));
  }

  _createClass(EditableTextForm, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.refs.input.focus();
      this.refs.input.value = this.props.text;
      if (this.props.selectTextOnMount) this.refs.input.select();
    }
  }, {
    key: 'handleClickOutside',
    value: function handleClickOutside() {
      this.props.onCancel();
    }
  }, {
    key: '_onSubmit',
    value: function _onSubmit(e) {
      e.preventDefault();

      var value = this.refs.input.value;


      this.props.onSubmit(value);
    }
  }, {
    key: 'render',
    value: function render() {
      return React.createElement(
        'form',
        {
          className: classnames('editable-text-form', this.props.className),
          onSubmit: this._onSubmit.bind(this)
        },
        React.createElement('input', {
          className: 'editable-text-form__input',
          type: 'text',
          ref: 'input',
          placeholder: this.props.text
        }),
        React.createElement(
          'button',
          {
            type: 'submit',
            className: 'btn btn--small btn--primary',
            disabled: this.props.loading
          },
          T.translate('common.save')
        )
      );
    }
  }, {
    key: '__reactstandin__regenerateByEval',
    value: function __reactstandin__regenerateByEval(key, code) {
      this[key] = eval(code);
    }
  }]);

  return EditableTextForm;
}(React.Component);

;

var _default = clickOutside(EditableTextForm);

export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(EditableTextForm, 'EditableTextForm', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/EditableTextForm.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/EditableTextForm.js');
  leaveModule(module);
})();

;