(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import classnames from 'classnames';

import 'redux-form';

var InputCheckbox = function InputCheckbox(props) {
  return React.createElement(
    'button',
    {
      type: 'button',
      className: classnames(props.className, 'input-checkbox', 'btn', 'btn--transparent'),
      onClick: function onClick() {
        return props.input.onChange(!props.input.value);
      }
    },
    React.createElement('i', { className: classnames('fa', {
        'fa-square-o': !props.input.value,
        'fa-check-square-o': props.input.value
      }) }),
    React.createElement(
      'span',
      { className: 'input-checkbox__label' },
      props.label
    )
  );
};

var _default = InputCheckbox;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(InputCheckbox, 'InputCheckbox', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/InputCheckbox.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/InputCheckbox.js');
  leaveModule(module);
})();

;