(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

export var SELECT = 'SELECT';
export var MULTI_SELECT = 'MULTI_SELECT';
export var INTEGER_RANGE = 'INTEGER_RANGE';
export var REAL_RANGE = 'REAL_RANGE';
export var MONEY_RANGE = 'MONEY_RANGE';
export var STRING = 'STRING';
export var BIG_MULTI_SELECT = 'BIG_MULTI_SELECT';

export var SUPPORTED_FILTERS = {
  SELECT: SELECT,
  MULTI_SELECT: MULTI_SELECT,
  INTEGER_RANGE: INTEGER_RANGE,
  REAL_RANGE: REAL_RANGE,
  MONEY_RANGE: MONEY_RANGE,
  STRING: STRING,
  BIG_MULTI_SELECT: BIG_MULTI_SELECT
  // Maybe later:
  // 'DATE_RANGE'
  // 'BOOLEAN'
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(SELECT, 'SELECT', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/filterTypes.js');
  reactHotLoader.register(MULTI_SELECT, 'MULTI_SELECT', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/filterTypes.js');
  reactHotLoader.register(INTEGER_RANGE, 'INTEGER_RANGE', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/filterTypes.js');
  reactHotLoader.register(REAL_RANGE, 'REAL_RANGE', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/filterTypes.js');
  reactHotLoader.register(MONEY_RANGE, 'MONEY_RANGE', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/filterTypes.js');
  reactHotLoader.register(STRING, 'STRING', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/filterTypes.js');
  reactHotLoader.register(BIG_MULTI_SELECT, 'BIG_MULTI_SELECT', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/filterTypes.js');
  reactHotLoader.register(SUPPORTED_FILTERS, 'SUPPORTED_FILTERS', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/filterTypes.js');
  leaveModule(module);
})();

;