(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import PaneTabNavigation from './PaneTabNavigation';

var Pane = function Pane(props) {
  return React.createElement(
    'div',
    { className: 'pane pane--' + props.type },
    React.createElement(
      'div',
      { className: 'pane__container' },
      React.createElement(PaneTabNavigation, { paneType: props.type }),
      React.createElement(
        'div',
        { className: 'pane__body' },
        props.children
      )
    )
  );
};

var _default = Pane;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Pane, 'Pane', '/home/travis/build/bakdata/conquery/frontend/lib/js/pane/Pane.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/pane/Pane.js');
  leaveModule(module);
})();

;