(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { DELETE_PREVIOUS_QUERY_MODAL_OPEN, DELETE_PREVIOUS_QUERY_MODAL_CLOSE } from './actionTypes';

export var deletePreviousQueryModalOpen = function deletePreviousQueryModalOpen(queryId) {
  return {
    type: DELETE_PREVIOUS_QUERY_MODAL_OPEN,
    payload: { queryId: queryId }
  };
};

export var deletePreviousQueryModalClose = function deletePreviousQueryModalClose() {
  return { type: DELETE_PREVIOUS_QUERY_MODAL_CLOSE };
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(deletePreviousQueryModalOpen, 'deletePreviousQueryModalOpen', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/actions.js');
  reactHotLoader.register(deletePreviousQueryModalClose, 'deletePreviousQueryModalClose', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/actions.js');
  leaveModule(module);
})();

;