(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { UPDATE_PREVIOUS_QUERIES_SEARCH, ADD_TAG_TO_PREVIOUS_QUERIES_SEARCH } from './actionTypes';

var initialState = [];

var previousQueriesSearch = function previousQueriesSearch() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case UPDATE_PREVIOUS_QUERIES_SEARCH:
      return action.payload.values;
    case ADD_TAG_TO_PREVIOUS_QUERIES_SEARCH:
      var tag = action.payload.tag;

      // Only add tag if it doesn't exist

      return state.indexOf(tag) === -1 ? state.concat(tag) : state;
    default:
      return state;
  }
};

var _default = previousQueriesSearch;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(initialState, 'initialState', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/search/reducer.js');
  reactHotLoader.register(previousQueriesSearch, 'previousQueriesSearch', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/search/reducer.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/search/reducer.js');
  leaveModule(module);
})();

;