(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { toUpperCaseUnderscore } from '../common/helpers';

export var createActionTypes = function createActionTypes(type) {
  var uppercasedType = toUpperCaseUnderscore(type);

  return {
    SET_DETAILS_VIEW_ACTIVE: 'query-node-editor/SET_' + uppercasedType + '_DETAILS_VIEW_ACTIVE',
    SET_INPUT_TABLE_VIEW_ACTIVE: 'query-node-editor/SET_' + uppercasedType + '_INPUT_TABLE_VIEW_ACTIVE',
    SET_FOCUSED_INPUT: 'query-node-editor/SET_' + uppercasedType + '_FOCUSED_INPUT',
    TOGGLE_EDIT_LABEL: 'query-node-editor/TOGGLE_' + uppercasedType + '_EDIT_LABEL',
    UPDATE_NAME: 'query-node-editor/UPDATE_' + uppercasedType + '_NAME',
    RESET: 'query-node-editor/RESET_' + uppercasedType,
    RESOLVE_FILTER_VALUES: 'query-node-editor/RESOLVE_' + uppercasedType + '_FILTER_VALUES',
    TOGGLE_INCLUDE_SUBNODES: 'query-node-editor/TOGGLE_' + uppercasedType + '_INCLUDE_SUBNODES'
  };
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(createActionTypes, 'createActionTypes', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-node-editor/actionTypes.js');
  leaveModule(module);
})();

;