(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

export var DROP_AND_NODE = "query-editor/DROP_AND_NODE";
export var DROP_OR_NODE = "query-editor/DROP_OR_NODE";
export var DELETE_NODE = "query-editor/DELETE_NODE";
export var DELETE_GROUP = "query-editor/DELETE_GROUP";
export var TOGGLE_EXCLUDE_GROUP = "query-editor/TOGGLE_EXCLUDE_GROUP";
export var EXPAND_PREVIOUS_QUERY = "query-editor/EXPAND_PREVIOUS_QUERY";

export var LOAD_QUERY = "query-editor/LOAD_QUERY";
export var CLEAR_QUERY = "query-editor/CLEAR_QUERY";

export var SELECT_NODE_FOR_EDITING = "query-editor/SELECT_NODE_FOR_EDITING";
export var DESELECT_NODE = "query-editor/DESELECT_NODE";
export var UPDATE_NODE_LABEL = "query-editor/UPDATE_NODE_LABEL";
export var ADD_CONCEPT_TO_NODE = "query-editor/ADD_CONCEPT_TO_NODE";
export var REMOVE_CONCEPT_FROM_NODE = "query-editor/REMOVE_CONCEPT_FROM_NODE";
export var TOGGLE_TABLE = "query-editor/TOGGLE_TABLE";
export var SET_FILTER_VALUE = "query-editor/SET_FILTER_VALUE";
export var RESET_ALL_FILTERS = "query-editor/RESET_ALL_FILTERS";
export var SWITCH_FILTER_MODE = "query-editor/SWITCH_FILTER_MODE";
export var TOGGLE_TIMESTAMPS = "query-editor/TOGGLE_TIMESTAMPS";
export var LOAD_FILTER_SUGGESTIONS_START = "query-editor/LOAD_FILTER_SUGGESTIONS_START";
export var LOAD_FILTER_SUGGESTIONS_SUCCESS = "query-editor/LOAD_FILTER_SUGGESTIONS_SUCCESS";
export var LOAD_FILTER_SUGGESTIONS_ERROR = "query-editor/LOAD_FILTER_SUGGESTIONS_ERROR";
export var SET_RESOLVED_FILTER_VALUES = "query-editor/SET_RESOLVED_FILTER_VALUES";
export var TOGGLE_INCLUDE_SUBNODES = "query-editor/TOGGLE_INCLUDE_SUBNODES";
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(DROP_AND_NODE, "DROP_AND_NODE", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(DROP_OR_NODE, "DROP_OR_NODE", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(DELETE_NODE, "DELETE_NODE", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(DELETE_GROUP, "DELETE_GROUP", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(TOGGLE_EXCLUDE_GROUP, "TOGGLE_EXCLUDE_GROUP", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(EXPAND_PREVIOUS_QUERY, "EXPAND_PREVIOUS_QUERY", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(LOAD_QUERY, "LOAD_QUERY", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(CLEAR_QUERY, "CLEAR_QUERY", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(SELECT_NODE_FOR_EDITING, "SELECT_NODE_FOR_EDITING", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(DESELECT_NODE, "DESELECT_NODE", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(UPDATE_NODE_LABEL, "UPDATE_NODE_LABEL", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(ADD_CONCEPT_TO_NODE, "ADD_CONCEPT_TO_NODE", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(REMOVE_CONCEPT_FROM_NODE, "REMOVE_CONCEPT_FROM_NODE", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(TOGGLE_TABLE, "TOGGLE_TABLE", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(SET_FILTER_VALUE, "SET_FILTER_VALUE", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(RESET_ALL_FILTERS, "RESET_ALL_FILTERS", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(SWITCH_FILTER_MODE, "SWITCH_FILTER_MODE", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(TOGGLE_TIMESTAMPS, "TOGGLE_TIMESTAMPS", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(LOAD_FILTER_SUGGESTIONS_START, "LOAD_FILTER_SUGGESTIONS_START", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(LOAD_FILTER_SUGGESTIONS_SUCCESS, "LOAD_FILTER_SUGGESTIONS_SUCCESS", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(LOAD_FILTER_SUGGESTIONS_ERROR, "LOAD_FILTER_SUGGESTIONS_ERROR", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(SET_RESOLVED_FILTER_VALUES, "SET_RESOLVED_FILTER_VALUES", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  reactHotLoader.register(TOGGLE_INCLUDE_SUBNODES, "TOGGLE_INCLUDE_SUBNODES", "/home/travis/build/bakdata/conquery/frontend/lib/js/standard-query-editor/actionTypes.js");
  leaveModule(module);
})();

;