(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';

var Tag = function Tag(props) {
  return React.createElement(
    'p',
    {
      className: classnames("tag", {
        "tag--clickable": !!props.onClick,
        "tag--selected": !!props.isSelected
      }),
      onClick: props.onClick
    },
    props.label
  );
};

Tag.propTypes = {
  label: PropTypes.string.isRequired,
  isSelected: PropTypes.bool.isRequired,
  onClick: PropTypes.func
};

var _default = Tag;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(Tag, 'Tag', '/home/travis/build/bakdata/conquery/frontend/lib/js/tags/Tag.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/tags/Tag.js');
  leaveModule(module);
})();

;