var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

// The query state contains the form values.
// But small additions are made (properties whitelisted), empty things filtered out
// to make it compatible with the backend API
export var transformFormQueryToApi = function transformFormQueryToApi(query, queryType, formQueryTransformation) {
  var form = query.form,
      formName = query.formName;


  return _extends({
    type: formName
  }, formQueryTransformation(form, formName));
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(transformFormQueryToApi, "transformFormQueryToApi", "/home/travis/build/bakdata/conquery/frontend/lib/js/api/apiExternalFormsHelper.js");
  leaveModule(module);
})();

;