var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import queryString from 'query-string';
import { storeAuthToken } from './helper';

var WithAuthToken = function WithAuthToken(Component) {
  var AuthToken = function (_React$Component) {
    _inherits(AuthToken, _React$Component);

    function AuthToken() {
      _classCallCheck(this, AuthToken);

      return _possibleConstructorReturn(this, (AuthToken.__proto__ || Object.getPrototypeOf(AuthToken)).apply(this, arguments));
    }

    _createClass(AuthToken, [{
      key: 'componentWillMount',
      value: function componentWillMount() {
        var search = this.props.location.search;

        var accessToken = search ? queryString.parse(search).access_token : null;

        if (accessToken) storeAuthToken(accessToken);
      }
    }, {
      key: 'render',
      value: function render() {
        return React.createElement(Component, null);
      }
    }, {
      key: '__reactstandin__regenerateByEval',
      value: function __reactstandin__regenerateByEval(key, code) {
        this[key] = eval(code);
      }
    }]);

    return AuthToken;
  }(React.Component);

  return AuthToken;
};

var _default = WithAuthToken;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(WithAuthToken, 'WithAuthToken', '/home/travis/build/bakdata/conquery/frontend/lib/js/authorization/WithAuthToken.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/authorization/WithAuthToken.js');
  leaveModule(module);
})();

;