(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import classnames from 'classnames';
import 'redux-form';

var ToggleButton = function ToggleButton(props) {
  return React.createElement(
    'p',
    { className: 'toggle-button' },
    props.options.map(function (_ref, i) {
      var value = _ref.value,
          label = _ref.label;
      return React.createElement(
        'span',
        {
          key: i,
          className: classnames('toggle-button__option', {
            'toggle-button__option--active': props.input.value === value
          }),
          onClick: function onClick() {
            if (value !== props.input.value) props.input.onChange(value);
          }
        },
        label
      );
    })
  );
};

var _default = ToggleButton;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(ToggleButton, 'ToggleButton', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/ToggleButton.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/form-components/ToggleButton.js');
  leaveModule(module);
})();

;