(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import _T from 'i18n-react';
import moment from 'moment';
import momentDurationFormatSetup from 'moment-duration-format';

import { mergeDeep } from '../common/helpers';

export var T = _T;

export var initializeLocalization = function initializeLocalization(language) {
  for (var _len = arguments.length, texts = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    texts[_key - 1] = arguments[_key];
  }

  T.setTexts(mergeDeep.apply(undefined, texts));

  // Set moment locale
  momentDurationFormatSetup(moment);
  moment.locale(language);
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(T, 'T', '/home/travis/build/bakdata/conquery/frontend/lib/js/localization/index.js');
  reactHotLoader.register(initializeLocalization, 'initializeLocalization', '/home/travis/build/bakdata/conquery/frontend/lib/js/localization/index.js');
  leaveModule(module);
})();

;