var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { DELETE_PREVIOUS_QUERY_MODAL_OPEN, DELETE_PREVIOUS_QUERY_MODAL_CLOSE } from './actionTypes';

var initialState = {};

var deletePreviousQueryModal = function deletePreviousQueryModal() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case DELETE_PREVIOUS_QUERY_MODAL_OPEN:
      return _extends({}, state, { queryId: action.payload.queryId });
    case DELETE_PREVIOUS_QUERY_MODAL_CLOSE:
      return _extends({}, state, { queryId: null });
    default:
      return state;
  }
};

var _default = deletePreviousQueryModal;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(initialState, 'initialState', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/reducer.js');
  reactHotLoader.register(deletePreviousQueryModal, 'deletePreviousQueryModal', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/reducer.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/delete-modal/reducer.js');
  leaveModule(module);
})();

;