(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';

import PreviousQueriesFilterButton from './PreviousQueriesFilterButton';

var PreviousQueriesFilter = function PreviousQueriesFilter() {
  return React.createElement(
    'div',
    { className: 'previous-queries-filter' },
    React.createElement(PreviousQueriesFilterButton, {
      value: 'all',
      text: T.translate('previousQueriesFilter.all')
    }),
    React.createElement('span', { className: 'previous-queries-filter__spacer' }),
    React.createElement(PreviousQueriesFilterButton, {
      value: 'own',
      text: T.translate('previousQueriesFilter.own')
    }),
    React.createElement(PreviousQueriesFilterButton, {
      value: 'system',
      text: T.translate('previousQueriesFilter.system')
    }),
    React.createElement(PreviousQueriesFilterButton, {
      value: 'shared',
      text: T.translate('previousQueriesFilter.shared')
    })
  );
};

var _default = PreviousQueriesFilter;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(PreviousQueriesFilter, 'PreviousQueriesFilter', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/filter/PreviousQueriesFilter.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/filter/PreviousQueriesFilter.js');
  leaveModule(module);
})();

;