(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import PropTypes from 'prop-types';

var PreviousQueryError = function PreviousQueryError(props) {
  return !!props.query.error && React.createElement(
    'div',
    { className: 'previous-query-error' },
    props.query.error
  );
};

PreviousQueryError.propTypes = {
  query: PropTypes.shape({
    error: PropTypes.string
  }).isRequired
};

var _default = PreviousQueryError;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(PreviousQueryError, 'PreviousQueryError', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/list/PreviousQueryError.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/list/PreviousQueryError.js');
  leaveModule(module);
})();

;