(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { UPDATE_PREVIOUS_QUERIES_SEARCH, ADD_TAG_TO_PREVIOUS_QUERIES_SEARCH } from './actionTypes';

export var updatePreviousQueriesSearch = function updatePreviousQueriesSearch(values) {
  return {
    type: UPDATE_PREVIOUS_QUERIES_SEARCH,
    payload: { values: values }
  };
};

export var addTagToPreviousQueriesSearch = function addTagToPreviousQueriesSearch(tag) {
  return {
    type: ADD_TAG_TO_PREVIOUS_QUERIES_SEARCH,
    payload: { tag: tag }
  };
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(updatePreviousQueriesSearch, 'updatePreviousQueriesSearch', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/search/actions.js');
  reactHotLoader.register(addTagToPreviousQueriesSearch, 'addTagToPreviousQueriesSearch', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/search/actions.js');
  leaveModule(module);
})();

;