(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import React from 'react';
import T from 'i18n-react';

import './reducer';

var UploadReport = function UploadReport(props) {
  return React.createElement(
    'div',
    { className: 'upload-report' },
    React.createElement(
      'p',
      { className: 'upload-report__successful-count' },
      T.translate('uploadReport.successful', { count: props.report.successful })
    ),
    props.report.unsuccessful > 0 && React.createElement(
      'p',
      { className: 'upload-report__unsuccessful-count' },
      T.translate('uploadReport.unsuccessful', { count: props.report.unsuccessful })
    )
  );
};

var _default = UploadReport;
export default _default;
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(UploadReport, 'UploadReport', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/UploadReport.js');
  reactHotLoader.register(_default, 'default', '/home/travis/build/bakdata/conquery/frontend/lib/js/previous-queries/upload/UploadReport.js');
  leaveModule(module);
})();

;