(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

import { QUERY_GROUP_MODAL_SET_NODE, QUERY_GROUP_MODAL_CLEAR_NODE, QUERY_GROUP_MODAL_SET_MIN_DATE, QUERY_GROUP_MODAL_SET_MAX_DATE, QUERY_GROUP_MODAL_RESET_ALL_DATES, QUERY_GROUP_MODAL_SET_TOUCHED } from './actionTypes';

export var queryGroupModalSetNode = function queryGroupModalSetNode(andIdx) {
  return {
    type: QUERY_GROUP_MODAL_SET_NODE,
    payload: { andIdx: andIdx }
  };
};

export var queryGroupModalClearNode = function queryGroupModalClearNode() {
  return { type: QUERY_GROUP_MODAL_CLEAR_NODE };
};

export var queryGroupModalSetMinDate = function queryGroupModalSetMinDate(andIdx, date) {
  return {
    type: QUERY_GROUP_MODAL_SET_MIN_DATE,
    payload: { andIdx: andIdx, date: date }
  };
};

export var queryGroupModalSetMaxDate = function queryGroupModalSetMaxDate(andIdx, date) {
  return {
    type: QUERY_GROUP_MODAL_SET_MAX_DATE,
    payload: { andIdx: andIdx, date: date }
  };
};

export var queryGroupModalResetAllDates = function queryGroupModalResetAllDates(andIdx) {
  return {
    type: QUERY_GROUP_MODAL_RESET_ALL_DATES,
    payload: { andIdx: andIdx }
  };
};

export var queryGroupModalSetTouched = function queryGroupModalSetTouched(andIdx, field) {
  return {
    type: QUERY_GROUP_MODAL_SET_TOUCHED,
    payload: { andIdx: andIdx, field: field }
  };
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(queryGroupModalSetNode, 'queryGroupModalSetNode', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-group-modal/actions.js');
  reactHotLoader.register(queryGroupModalClearNode, 'queryGroupModalClearNode', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-group-modal/actions.js');
  reactHotLoader.register(queryGroupModalSetMinDate, 'queryGroupModalSetMinDate', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-group-modal/actions.js');
  reactHotLoader.register(queryGroupModalSetMaxDate, 'queryGroupModalSetMaxDate', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-group-modal/actions.js');
  reactHotLoader.register(queryGroupModalResetAllDates, 'queryGroupModalResetAllDates', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-group-modal/actions.js');
  reactHotLoader.register(queryGroupModalSetTouched, 'queryGroupModalSetTouched', '/home/travis/build/bakdata/conquery/frontend/lib/js/query-group-modal/actions.js');
  leaveModule(module);
})();

;