(function () {
  var enterModule = require('react-hot-loader').enterModule;

  enterModule && enterModule(module);
})();

export var allConditionsFilled = function allConditionsFilled(timebasedQuery) {
  return timebasedQuery.conditions.every(function (condition) {
    return !!condition.result0 && !!condition.result1;
  });
};

export var anyConditionFilled = function anyConditionFilled(timebasedQuery) {
  return timebasedQuery.conditions.some(function (condition) {
    return condition.result0 || condition.result1;
  });
};
;

(function () {
  var reactHotLoader = require('react-hot-loader').default;

  var leaveModule = require('react-hot-loader').leaveModule;

  if (!reactHotLoader) {
    return;
  }

  reactHotLoader.register(allConditionsFilled, "allConditionsFilled", "/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/helpers.js");
  reactHotLoader.register(anyConditionFilled, "anyConditionFilled", "/home/travis/build/bakdata/conquery/frontend/lib/js/timebased-query-editor/helpers.js");
  leaveModule(module);
})();

;